package com.atmob.keyboard_android.util.bridge.callback

/**
 * 原生事件处理器，封装Flutter调用原生的事件注册、注销
 */
interface NativeEventHandler {
    /**
     * 获取该事件处理器的EventChannel通道名称
     */
    fun onGetEventChannelName(): String

    /**
     * Flutter端注册事件时回调
     *
     * @param args 参数
     * @param emitter 事件发射器
     */
    fun onRegisterEventListener(args: String, emitter: NativeEventEmitter)

    /**
     * Flutter端取消注册事件时回调
     *
     * @param args 参数
     * @param emitter 事件发射器
     */
    fun onUnRegisterEventListener(args: String, emitter: NativeEventEmitter)
}